log using demcap_table4, replace

clear
set more off
set mem 100m
set matsize 400

use demcap_tables4_5.dta

* Generate 'generic' demcap variable:
gen demcap = .



* Redefine demcap:
replace demcap = demcap_delta99


***************
*** Table 4 ***
***************
* From growth_1year_table4_apr08.do

************
* Column 1 *
************
* dem regime, no covariates, no fixed effects

reg gyp llyp p_dem_sm, robust 

reg gyp llyp p_dem_sm, cluster(ctycode)

************
* Column 2 *
************
* dic regime, no covariates, no fixed effects

reg gyp llyp p_dic_sm, robust 

reg gyp llyp p_dic_sm, cluster(ctycode)

************
* Column 3 *
************

* Create year dummies:
qui tabulate year, gen(dumyear)


* within dem: control for transition

areg gyp dumyear1-dumyear201 demcap transition llyp flyp1_dist p_dem_sm war lwar, a(ctycode) robust

areg gyp dumyear1-dumyear201 demcap transition llyp flyp1_dist p_dem_sm war lwar, a(ctycode) cluster(ctycode)

************
* Column 4 *
************

areg gyp dumyear1-dumyear201  transition llyp flyp1_dist p_dem_sm war lwar demcap closdem_cont_dist, a(ctycode) robust 
test demcap closdem_cont_dist

areg gyp dumyear1-dumyear201  transition llyp flyp1_dist p_dem_sm war lwar demcap closdem_cont_dist, a(ctycode) cluster(ctycode)
test demcap closdem_cont_dist

************
* Column 5 *
************

areg gyp dumyear1-dumyear201 demcap ///
transition llyp flyp1_dist p_dem_sm_nodemcap war lwar , a(ctycode) robust 


areg gyp dumyear1-dumyear201 demcap ///
transition llyp flyp1_dist p_dem_sm_nodemcap war lwar , a(ctycode) robust cluster(ctycode)

************
* Column 6 *
************

qui tabulate ctycode, gen(c)

ivreg gyp dumyear1-dumyear200 c1-c180   demcap /*
*/ transition llyp flyp1_dist war lwar (end_dem = closdem_cont_dist) if p_dem_sm !=., robust 

ivreg gyp dumyear1-dumyear200 c1-c180   demcap /*
*/ transition llyp flyp1_dist war lwar (end_dem = closdem_cont_dist) if p_dem_sm !=., cluster(ctycode) 

************
* Column 7 *
************

areg gyp dumyear1-dumyear201 demcap berlin_soviet transition llyp flyp1_dist p_dic_sm war lwar , a(ctycode) robust

areg gyp dumyear1-dumyear201 demcap berlin_soviet transition llyp flyp1_dist p_dic_sm war lwar , a(ctycode) cluster(ctycode)

************
* Column 8 *
************

areg gyp dumyear1-dumyear201  berlin_soviet transition ///
llyp flyp1_dist p_dic_sm war lwar demcap closdem_cont_dist, a(ctycode) robust
test demcap closdem_cont_dist

areg gyp dumyear1-dumyear201  berlin_soviet transition ///
llyp flyp1_dist p_dic_sm war lwar demcap closdem_cont_dist, a(ctycode) cluster(ctycode)
test demcap closdem_cont_dist

************
* Column 9 *
************

areg gyp dumyear1-dumyear201 demcap berlin_soviet transition  ///
llyp flyp1_dist p_dic_sm_nodemcap war lwar , a(ctycode) robust 

areg gyp dumyear1-dumyear201 demcap berlin_soviet transition  ///
llyp flyp1_dist p_dic_sm_nodemcap war lwar , a(ctycode) robust cluster(ctycode)

************
* Column 10 *
************

ivreg gyp dumyear1-dumyear200 c1-c180   demcap ///
transition llyp flyp1_dist war lwar (end_dic = closdem_cont_dist) if p_dic_sm !=., robust


ivreg gyp dumyear1-dumyear200 c1-c180   demcap ///
transition llyp flyp1_dist war lwar (end_dic = closdem_cont_dist) if p_dic_sm !=., cluster(ctycode) 


log close


log using demcap_table5, replace



***************
*** Table 5 ***
***************
* From growth_1year_table6_apr08.do

************
* Column 1 *
************

areg gyp dumyear1-dumyear201  berlin_soviet ///
llyp flyp1_dist war lwar demcap closdem_cont_dist if polity2!=., a(ctycode) robust

areg gyp dumyear1-dumyear201  berlin_soviet ///
llyp flyp1_dist war lwar demcap closdem_cont_dist if polity2!=., a(ctycode) robust cluster(ctycode)

************
* Column 2 *
************

areg gyp dumyear1-dumyear201 berlin_soviet ///
llyp flyp1_dist transition war lwar demcap closdem_cont_dist if polity2!=., a(ctycode) robust

areg gyp dumyear1-dumyear201 berlin_soviet ///
llyp flyp1_dist transition war lwar demcap closdem_cont_dist if polity2!=., a(ctycode) robust cluster(ctycode)

************
* Column 3 *
************

areg gyp dumyear1-dumyear201 berlin_soviet ///
llyp flyp1_dist war lwar demcap closdem_cont_dist demcap_lindem closdem_lindem if polity2!=., a(ctycode) robust

areg gyp dumyear1-dumyear201 berlin_soviet ///
llyp flyp1_dist war lwar demcap closdem_cont_dist demcap_lindem closdem_lindem ///
if polity2!=., a(ctycode) robust cluster(ctycode)

************
* Column 4 *
************

areg gyp dumyear1-dumyear201 berlin_soviet ///
llyp flyp1_dist war lwar transition demcap closdem_cont_dist ///
demcap_lindem closdem_lindem if polity2!=., a(ctycode) robust

areg gyp dumyear1-dumyear201 berlin_soviet ///
llyp flyp1_dist war lwar transition demcap closdem_cont_dist ///
demcap_lindem closdem_lindem if polity2!=., a(ctycode) robust cluster(ctycode)

************
* Column 5 *
************

areg gyp dumyear1-dumyear201 berlin_soviet llyp flyp1_dist war lwar demcap closdem_cont_dist ///
demcap_lindem closdem_lindem ldemocracy if polity2!=., a(ctycode) robust

areg gyp dumyear1-dumyear201 berlin_soviet llyp flyp1_dist war lwar demcap closdem_cont_dist ///
demcap_lindem closdem_lindem ldemocracy if polity2!=., a(ctycode) robust cluster(ctycode)

************
* Column 6 *
************

areg gyp dumyear1-dumyear201 berlin_soviet llyp flyp1_dist war lwar transition demcap ///
closdem_cont_dist demcap_lindem closdem_lindem ldemocracy if polity2!=., a(ctycode) robust

areg gyp dumyear1-dumyear201 berlin_soviet llyp flyp1_dist war lwar transition demcap ///
closdem_cont_dist demcap_lindem closdem_lindem ldemocracy if polity2!=., a(ctycode) robust cluster(ctycode)


log close
